PayPal Enterprise Payments

For more information about this gateway, please refer to https://developer.paypal.com/braintree/docs/reference/overview

  • Gateway type code: paypal_enterprise
  • Production API endpoint: Multiple
  • Sandbox API endpoint: Multiple
  • Supported payment types: Credit Card, Gateway payment method token
  • Supported operations: Authorization, Capture, Charge, Void, Refund

Currency restrictions

It is important to note that only one currency is permitted per merchant account; a separate gateway token is required for each currency you wish to support, and thus merchant account you need. If you send a different currency than what the merchant account is configured for, the transaction will display it as the attempted currency, but PayPal Enterprise Payments will in fact process the amount as the currency configured for that merchant account, with no conversion.

To add a PayPal Enterprise Payments gateway, use the following settings:

{
    "merchant_id" : "Your Merchant Id",
    "public_key" : "Your Public Key",
    "private_key" : "Your Private Key",
    "merchant_account_id" : "Your Merchant Account ID",
    "map_to_customer_id": "false" (optional) 
}

Gateway Specific Fields

Custom fields: Custom fields allow you to collect specific information about your customer and a purchase. If you have any custom fields that you would like to pass through PayPal Enterprise Payments, you can do so within gatewayFields. The name of the fields inside the custom_fields node can by anything, thus making is dynamic. The structure inside custom_fields must be valid JSON .

NOTE: custom fields cannot be created via an API request. You’ll need to configure them directly in the Control Panel. Review PayPal Enterprise Payment's custom fields documentation for more information.

  "gatewayFields": {
        "paypal_enterprise": {
         "custom_fields": {
                 "custom_field1" : "custom_field_value1",
                 "custom_field2" : "custom_field_value2"
             }
        }
    }
}

PayPal Enterprise Payments has 3 fields that allow the merchant to skip gateway fraud checking when creating the transaction via API: skip_advanced_fraud_checking, skip_avs, and skip_cvv

You can set map_to_customer_id as true to indicate that the customer_id of a specific transaction should be use as the payment method. The value passed on a gateway specific field will overwrite the gateway configuration.

  "gatewayFields": {   
     "paypal_enterprise": {
        "skip_advanced_fraud_checking": "true",
        "skip_avs": "true",
        "skip_cvv": "true",
        "descriptor_name": "value",
        "descriptor_phone": "value",
        "descriptor_url": "value",
        "tax_amount": "value",
        "customer_id": "value",
        "map_to_customer_id": "true"
   }
}

Gateway Specific Response Fields

A response from PayPal Enterprise Payments gateway may contain the following fields: additional_processor_response, risk_data_decision, risk_data_device_data_captured, risk_data_id which you can find in the gatewaySpecificResponseFields.